package com.jeeplus.modules.sg.overheadline.mapper;

import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.overheadline.entity.JkxlDetailFee;
import com.jeeplus.modules.sg.overheadline.entity.WbsProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface OverheadLineMapper {
    //获取项目明细
    List<JkxlDetailFee> getList(@Param("id") String id,@Param("type") String type);

    //获取单条明细
    JkxlDetailFee getData(@Param("id")String id, @Param("wbsCode")String wbsCode);

    //保存
    void save(JkxlDetailFee jkxlDetailFee);

    //批量保存
    void saveList(@Param("list") List<JkxlDetailFee> list);

    //获取项目明细
    List<JkxlDetailFee> findList(@Param("id") String id,@Param("type")String type);

    //获取调整数据
    List<JkxlDetailFee> getAdjust(String id);

    //更新项目明细
    void updateDate(JkxlDetailFee jkxlDetailFee);

    //批量更新项目明细
    void updateList(@Param("list") List<JkxlDetailFee> list);

    //根据ID删除项目明细
    void delete(String id);

}
